Mozilla depo güncellemeleri


(N. Emre Özbakır) #1

Mozilla Firefox diğer birçok debian tabanlı dağıtımlarda 60.1 ESR ye geçti (11.07.2018 tarihinden itibaren yayında), Thunderbird de keza aynı şekilde 60 sürümüne geçmiş bulunuyor fakat pardus depolarda bu güncellemeler uzun zamandır(firefox için) gelmedi. ikincil bir ihtiyaç olduğunu düşünüyorum, fakat güvenlik güncellemeleride aynı hızdamı geliyor merak etmiyor değilim.


(İzleVeÖğren) #2

Snap yükleyerek Snap Store’dan bir çok yazılımın güncel versiyonlarını kurabilirsiniz.

Snap Paketleri : Otomatik Güncelleme ve Çalıştırmak için Güvenlidir!

Snaps programların Bağımlılıklarını Paketledikleri için, modifikasyon olmaksızın tüm büyük Linux sistemlerinde çalışırlar.

Uçbirimde aşağıdaki komutu yazarak kurabilirsiniz.

sudo apt install snapd

Aşağıdaki linkten Snap Store’u açarak istediğiniz uygulamayı indirebilirsiniz.

Mozilla Firefox son sürüm için aşağıdaki komutu uçbirimde çalıştırabilirsiniz:

sudo snap install firefox

Snapcraftan Yüklediğiniz programları aşağıdaki komutla görebilirsiniz

snap list

Aşağıdaki komutla yüklediğiniz programı açabilirsiniz

snap run program_adı


(N. Emre Özbakır) #3

Önemli olan snap ten veya kaynak kodu ile derleme ile guncellemek/yuklemek değil, benim amacım dikkat çekmek ESR olan bir yapının bukadar geç güncelleme alması problem bunu her paket ve program için yapamazsınız o yüzden depo ları ve apt tarzı programları kullanıyoruz, yoksa zaten hepsini kaynak kod ile derleme yapacak iseniz pardus a ne gerek var? depoların pardus ekibi tarafından düzenlenmemiş olanların senkron zamanlarının sıklaştırılması lazım.


(Yunusemre Şentürk) #4

Merhaba @Delte bey, Yanlış bilgilendirme ısrarınız üzerine şu bilgileri bilmenizde fayda var.

Öncelikle Pardus 17, essetial (temel) paketler haricinde debian 9 değildir. (perl-base, glibc). Debian 9 a göre Pardus çok daha stabil ve hızlıdır. Neden böyle çünki optimize dediğimiz varsayılan sistem kurulumunda gelen paket uyumluluk agacı özenle elden geçirilmekte ve manuel olarak yönetilmektedir. (Upstreamden ve debian testing ten 50 inin üzerinde paket bulunmakta) Debian buster da temel olarak alabiliriz ancak stabilite ve güvenlik açısından çok daha fazla iş yükü getirmektedir. Yapmıyacağımızdan değil ürünün son kullanıcı tatmini konusunda problem oluşturacağını bildiğimiz ve test ettiğimiz için durum böyle. Anladığım kadarıyla siz cutting edge (en son güncel) tipde sistem kullanmayı tercih ediyorsunuz bu konuda Arch Linux dağıtımları ihtiyacınızı fazlasıyla görecektir.

Bahsetmiş olduğunuz yanlış bilgilendirme ve yönlendirmeye gelecek olursak, debian da buster da dahil 52.9 firefox-esr kullanılmaktadır. sadece experimantal ve sid repolarında 60 gözükmekte. bakınız:

https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=firefox-esr

başka dağıtımların firefox-esr >= 60 varsayılan getirebilmeleri için kendi bünyelerinde derleyip dağıtıma sunmaktadırlar. Bizim şuanki kullandığımız glibc ile firefox-esr maintain etme iş gücümüz bulunmamakta ayrıca security repolarından sıkca güncelleme almaktadır. Bunu bilmediğinizden uzun süre Pardus kullanmadığınız belli oluyor. Uzun süredir Pardus Kullananlar bilirler ki Pardus 17 sıkca güvenlik ve optimizasyon güncellemesi almaktadır. TUBİTAK - ULAKBİM bünyesinde kurmuş olduğumuz (localde) CI (continous integration) sistemi ile hergün buna hafta sonları da dahil eksiksiz ve otomatik (elle yapılmıyor) bir şekilde debian ile senkronizasyon yapılmaktadır.

Dip not: debian da sid reposu testing (şuan ki buster) codename üstünde bulunan ismi değişmeyen zamana bağlı olmayan yani eskimeyen bir unstable repodur. Bu repoda sistem kararlığını bozma ihtimali yüksek olan upstream e en yakın denebilecek paketler bulunur.

Bilgilerinize sunarım.

Saygılarımla.


(Ali KOCA) #5

Merhaba;
Çok güzel bir bilgilendirme olmuş.
Çok teşekkür ederiz.

Selamlar.


(İzleVeÖğren) #6

debianın sıkça sorulan sorular kısmında bu konu için şöyle denilmiş:

Debian Sid: Sıkça Sorulan Sorular

Pek çok insan Debian’ın kararlı sürümünün “çok eski” olduğu kanısına kapılarak hayal kırıklığı yaşıyor. Bu durum kimi zaman bu insanların, en son kernellerden birine ihtiyaç duyan yepyeni bir donanım satın almış olmalarından, kimi zaman da eğer falanca paketin “en yeni versiyonunu” kullanmıyorlarsa bir anlamda kendilerini eksik hissetmelerine yol açacak kadar beyinlerinin yıkanmış olmasından kaynaklanıyor. Bu sebeplerden bu insanlar kararsız (Sid) sürümü kullanmaya başlıyorlar.

Ondan sonra da sistemleri bozulunca #debian kanalına geliyorlar.
Ondan sonra da bizim kendilerine neden bu kadar kötü davrandığımızı anlayamıyorlar.

Bu belgenin amacı neyi yanlış yaptığınızı, veya neden azarlandığınızı ve neyi farklı bir şekilde yapmanız gerektiğini açıklamaktır.

Bu SSS bilhassa Slashdot okuyucularına yöneliktir. Eğer bu gruba dahil olup olmadığınızı bilmiyorsanız, bu gruba dahilsinizdir…

Sid kullanırken kendilerini bekleyen bir tuzak olup olmadığını merak eden kullanıcıların #debian kanalının /topic başlığını kontrol etmelerini ve Kararsız Sürümün Son Durumu adlı sayfayı incelemelerini tavsiye ederiz. Son olarak, bu belgenin ne genel bir Debian SSS’si ne de #debian kanalına ait bir SSS olduğunu aklınızdan çıkarmayınız. Debian’a ilişkin açıklayıcı bir belge için debian.org sitesini ziyaret edin. #debian Freenode kanalına ait SSS için ise Debian Viki’sini inceleyin.


(İzleVeÖğren) #7

firefox son sürümü kurdum sitelerdeki yazı tipleri bozuk görünüyor. türkçe karakterleri düzgün göstermiyor iç ayarlardan yazı tipi değişikliği yaptım algılamadı bug oluşmuş. Nasıl düzeltebilirim ? bide özelleştirmelerden başlık çuubuğunu iptal etmeme rağmen kompak görünüme geçmiyor. ordada bir bug var? bu sorun ayarlama yaparak düzelir mi yoksa pardusun yeni sürümü çıkana kadar firefox esr mi kullanmamı önerirsiniz?


(Yunusemre Şentürk) #8

Evet hocam esr öneriyoruz stabilite açısından. Ben firefox-quantum 57.0.1 (debian da direk firefox diye geçiyor) esr ın yanına ayrıca kurdum zamanında deneme amaçlı şahsi olarak onu önerebilirim.

Ekran%20g%C3%B6r%C3%BCnt%C3%BCs%C3%BC_2018-09-05_11-46-32


(Ali KOCA) #9

Merhaba;
Pardus üzerinde uygulama geliştirmeye çalıştığımız için Firefox un son versiyonunu kullanıyoruz.

Bahsettiğimiz sorunlarla henüz karşılaşmadım. Hangi siteleri görüntülerken karşılaştınız.

Selamlar.


(İzleVeÖğren) #10

Bu sürümü aşağıdaki komutla mı kuruyoruz

sudo apt-get install firefox

62 sürümünde bende oluşan bugün için ekran görüntüsü aticam laptopuma geçince şuan telden giriyorum


(Ali KOCA) #11

Merhaba;
62 Beta olabilir mi?


(Ali KOCA) #12
  wget -O Firefox.tar.bz2 "https://download.mozilla.org/?product=firefox-latest-ssl&os=linux64&lang=tr"  --no-check-certificate

sudo rm /opt/firefox/firefox/ -R

sudo mkdir /opt/firefox

sudo mkdir /opt/firefox/firefox/

sudo tar xjf Firefox.tar.bz2 -C /opt/firefox/firefox/

sudo mv /opt/firefox/firefox/firefox /opt/firefox/firefox/firefox---

sudo mv /opt/firefox/firefox/firefox---/* /opt/firefox/firefox/ 

sudo rm /opt/firefox/firefox/firefox--- -R

rm ~/Masaüstü/Firefox-Kisayol.desktop

echo "
[Desktop Entry]
Version=1.0
Type=Application
Name=Firefox
Comment=
Exec=/opt/firefox/firefox/firefox %u
Icon=firefox
Path=
Terminal=false
StartupNotify=false" > ~/Masaüstü/Firefox.desktop

chmod 755 ~/Masaüstü/Firefox.desktop

Biz yukarıdaki scriptle güncelleme yapıyoruz. 61.0.2 versiyonu geliyor.

Selamlar.


(İzleVeÖğren) #13

yazı üştteki gibi bozuk görünüyor. ayarlardan yazı tipi değişmiyor. Firefox 61 sürümü beta değil. Pardus DDE yüklü. Benim donanımıma özel bir bugda olabilir belki

ayrıca firefox özelleştir seçeneklerinden başlık çubuğunu kapatmama rağmen kapanmıyor.


(Ali KOCA) #14

Merhaba;
Siz yukarıda 62 yazmıştınız. Ama anladığım kadarıyla 62 değil 61 versiyonunda yaşadınız yukarıda anlattığınız meseleyi.
Doğru mudur?


(Ali KOCA) #15

Şu script de developer edition’un en son versiyonu için:

wget -O Firefox-Dev.tar.bz2 "https://download.mozilla.org/?product=firefox-devedition-latest-ssl&os=linux64&lang=tr"  --no-check-certificate

sudo rm /opt/firefox/firefox-dev/ -R

sudo mkdir /opt/firefox

sudo mkdir /opt/firefox/firefox-dev/

sudo tar xjf Firefox-Dev.tar.bz2 -C /opt/firefox/firefox-dev/

sudo mv /opt/firefox/firefox-dev/firefox /opt/firefox/firefox-dev/firefox---

sudo mv /opt/firefox/firefox-dev/firefox---/* /opt/firefox/firefox-dev/ 

sudo rm /opt/firefox/firefox-dev/firefox--- -R

rm ~/Masaüstü/Firefox-Dev-Kisayol.desktop

echo "
[Desktop Entry]
Version=1.0
Type=Application
Name=Firefox Dev
Comment=
Exec=/opt/firefox/firefox-dev/firefox
Icon=firefox-trunk
Path=
Terminal=false
StartupNotify=false" > ~/Masaüstü/Firefox-Dev-Kisayol.desktop

chmod 755 ~/Masaüstü/Firefox-Dev-Kisayol.desktop

(Ali KOCA) #16

Bu da 63.0b2 indiriyor.


(İzleVeÖğren) #17

Pardusun ilerleyen zamanlarda son kullanıcı için manjaro veya linux mint tabanlı bir yan sürümü olması mümkün müdür?


(Enes Boğaz) #18

Hocam burada Firefox Quantum için söylediğiniz ‘Şahsi olarak onu önerebilirim.’ görünüş ve kullanış anlamında mı?
Stabiliteyi bozar mı?

Saygıyla


(N. Emre Özbakır) #19

Bilgilendirme için teşekkürler Emre bey,

güvenlik repo konusunda hassasiyetinizi anlıyorum, uzun zaman pardus kullandım ve çok uzun zamandır linux kullanıcısıyım(18 yıl), her gelen güncellemeyi tek tek son versiyonmu diye kontrol etmeyen biriyim, size güveniyoruz bu konularda, fakat Firefox konusunda tekrar ısrar edeceğim,

  1. Cutting Edge kullanıcı olsaydım zaten ESR tercih etmezdim,
  2. Firefox 52.9.0 ESR ağustos sonu (28.08.2018) itibari ile EOL oldu. 60.2 ESR yayınlandı.
  3. Firefox 52.9.0 güncellemesinden itibaren kaç adet “Critical” işaretlenmiş güncelleme aldı?

Pardus ve çalışmalarınızı sonuna kadar destekliyoruz, Yaptığımız yorumlar ve söylediklerimiz pardusu kötülemek veya karalamak için değil daha güvenli olması ve daha iyi yerlerde görmek içindir.

Saygılarımla,


(İzleVeÖğren) #20

firefoxun güncel versiyonunu aşağıdan indirip kurabilirsiniz

firefox_60.2.0.deb

Firefox Türkçe dil.deb

yukarıdaki linklerde yer alan deb uzantılı paketleri indirip çift tıklayarak kurunuz.

dip not: deb uzantılı paketlerin kurulabilmesi için pardus mağazadan gdebi programını kurmuş olmanız gerekmektedir.